@echo off
cd /d %~dp0
set path_wmp32=%ProgramFiles(x86)%\Windows Media Player
set path_wmp64=%ProgramFiles%\Windows Media Player

echo これから4回サンプル動画を再生します。
echo 4つすべて再生されたら正常です。
echo .
pause

echo (1/4) 32bit版 Windows Media Player でのテスト RGB -----------------------------
echo   クローズボタンを押すと次のテストに移ります
echo .
"%path_wmp32%\wmplayer.exe" %~dp0\sample_amv4_rgb32_dr3.avi

echo (2/4) 32bit版 Windows Media Player でのテスト YUY2 ----------------------------
echo   クローズボタンを押すと次のテストに移ります
echo .
"%path_wmp32%\wmplayer.exe" %~dp0\sample_amv4_yuy2_dy3.avi

echo (3/4) 64bit版 Windows Media Player でのテスト RGB -----------------------------
echo   クローズボタンを押すと次のテストに移ります
echo .
"%path_wmp64%\wmplayer.exe" %~dp0\sample_amv4_rgb32_dr3.avi

echo (4/4) 64bit版 Windows Media Player でのテスト YUY2 ----------------------------
echo   クローズボタンを押すと次のテストに移ります
echo .
"%path_wmp64%\wmplayer.exe" %~dp0\sample_amv4_yuy2_dy3.avi

echo テストは以上です。4つすべて再生されたでしょうか？
echo 少しでも異常があった場合はヘルプを見てください。
echo .
pause
